<?php

use Illuminate\Support\Facades\Route;
use \Milon\Barcode\DNS2D;

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
*/

Route::get('/', function () {
    return view('welcome');
});

Route::get('/barcode', function () {
    $d = new DNS2D();
    $code = preg_replace('/[^0-9]/', '', "AHE-220001");
    return $d->getBarcodeHTML('AHE-220001', 'QRCODE');
    
});

